/**
 * Theme Name:     Storefront Child
 * Author:         Stacy Wile
 * Template:       storefront
 * Text Domain:	   storefront-child
 * Description:    Storefront Child allows you to easily customize the Storefront theme, with your changes remaining in place even after Storefront updates.
 * Version:        1.1.0
 */
/* color variables */
:root{
	--copper:#A4793Dff;
	--dusty-grape:#585489ff;
	--harvest-gold:#DE9A27ff;
	--white-smoke:#EFF1EDff;
	--taupe-grey:#584F54ff;
	--coffee-bean:#684E33ff;
	--mauve-shadow:#442E3Eff;
	--hunter-green:#3C523Cff;
}

/* hide certain woocommerce sections */
.storefront-product-section.storefront-popular-products,.storefront-product-section.storefront-best-selling-products,.storefront-product-section.storefront-woocommerce-brands{
	display: none;
}
/* text and slideshow on home page */
.page-template-template-homepage .entry-content{
	max-width:50em;
}
.page-template-template-homepage .entry-header{
	display:none;
}
.page-template-template-homepage #hometext {
	background-color: var(--white-smoke);
	color: var(--taupe-grey);
	padding:2em;
	border-radius:10px;
	max-width:100em;
	margin-bottom:2em;
}

.storefront-full-width-content.woocommerce-cart .entry-header, .storefront-full-width-content.woocommerce-checkout .entry-header, .storefront-full-width-content.woocommerce-account .entry-header, .storefront-full-width-content .woocommerce-products-header{
	padding:2em 0 2em 0;
	margin-bottom:2em;
	border-radius:10px;
}
/* main colors */
header, footer {
	background-color:var(--white-smoke);
}
.site-header, .site-footer, .extra-text{
	background-color:var(--white-smoke);
}
.site-branding .site-title a {
	color: var(--taupe-grey);
}
.hentry.type-page .entry-header{
	margin-bottom:2em;
}
/* menu items */
.main-navigation ul li a:hover, .main-navigation ul li:hover > a, .site-title a:hover, .site-header ul.menu li.current-menu-item > a{
	color:var(--mauve-shadow);
}
/* headers */
.site-footer a:not(.button):not(.components-button) .site-footer h1 { 
	color:var(--mauve-shadow);
}
.site-footer h2, .site-footer h3, .site-footer h4, .site-footer h5, .site-footer h6, .site-footer .widget .widget-title, .site-footer .widget .widgettitle, .related.products>h2:first-child, .woocommerce .woocommerce-tabs .panel h2:first-of-type{
	color:var(--taupe-grey);
}
.entry-content h2{
	color:var(--taupe-grey);	
}
.widget .widget-title, .widget .widgettitle{
	color:var(--taupe-grey);
	font-size: 2em;
	line-height: 1.214;	
}
/* page titles */
header.woocommerce-products-header, header.entry-header{
	background-color:var(--hunter-green);
	text-align:center;
	border-radius:10px;
	padding:2em 0 2em 0;
}
header.woocommerce-products-header h1, header.entry-header h1{
	color:var(--white-smoke);
}
/* more woocommerce */
.term-description{
	color:var(--white-smoke);
}
.woocommerce .woocommerce-message, .woocommerce .woocommerce-info, .woocommerce .woocommerce-error, .woocommerce .woocommerce-noreviews, .woocommerce .p.no-comments{
	background-color:var(--hunter-green);
	border-radius:10px;
	color:var(--white-smoke);
}

form button.alt, input[type="button"].alt, input[type="reset"].alt, input[type="submit"].alt, .button.alt, .widget-area .widget a.button.alt,.added_to_cart.alt,.added_to_cart,
.buttons .widget a.button.checkout{
	background-color:var(--hunter-green);
	border-radius:10px;
	color:var(--white-smoke);	
}
.added_to_cart, .site-header-cart.menu .widget_shopping_cart a.button, .wc-block-grid__products .wc-block-grid__product .wp-block-button__link{
	border-radius:10px;	
}
button, input[type="button"], input[type="reset"], input[type="submit"], .button, .widget a.button{
	border-radius:5px;
}
#main .hentry .entry-content .wp-block-button .wp-block-button__link, .editor-styles-wrapper .wp-block-button .wp-block-button__link{
	border-radius:5px;	
}

/* wpforms response */
#block-14 div.wpforms-container-full .wpforms-confirmation-container-full,#block-14 div[submit-success]>.wpforms-confirmation-container-full:not(.wpforms-redirection-message){
	background-color:var(--hunter-green);
	border-radius:5px;
}
#block-14 div.wpforms-container-full .wpforms-confirmation-container-full p,#block-14 div[submit-success]>.wpforms-confirmation-container-full:not(.wpforms-redirection-message) p{
	color:var(--white-smoke);	
}

/* links */
a, .woocommerce a{
	color:var(--dusty-grape);
}
a:hover, .woocommerce a:hover{
	color:var(--harvest-gold);
}
/* logo */
/*header#masthead .site-branding{
	background-image:url("https://wiles.nastraining.com/wiles-ecomm/wp-content/uploads/2025/12/logo.png");
	background-repeat:no-repeat;
	background-position: right center;
	background-size:contain;
}*/
/* homepage text */
.home.page-template-template-homepage .entry-content p{
	font-size:1.5em;
}
.home.page-template-template-homepage .type-page{
	padding-top:1em;
}
/* shop page */
.extra-text{
	margin:1em 0 1em 0;
	padding:1em;
	border-radius:10px;
	font-size:1.3em;
}

/* widgets */
#block-12.widget,#block-15.widget{
	margin-bottom:1em;
}
.block.footer-widget-4 .shareaholic-share-buttons-container.shareaholic-center-align{
	text-align:left;
}
.block.footer-widget-1 .widget .widget-title{
	border:none;
}
/*
@media (min-width: 768px){
.site-footer .footer-widgets.col-4 .block.footer-widget-1{
	width:20%;
}
.site-footer .footer-widgets.col-4 .block.footer-widget-2{
	width:25%;
}
.site-footer .footer-widgets.col-4 .block.footer-widget-3{
	width:45%;
}
.site-footer .col-full{
	max-width:80em;
}
}*/